Bug 166279 - [patch] graphics/gtk-update-icon-cache: fix pre-configure test
Summary: [patch] graphics/gtk-update-icon-cache: fix pre-configure test
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 18:30 UTC by Rachel Flynn
Modified: 2016-07-26 18:01 UTC (History)
1 user (show)

See Also:


Attachments
fix-gtk-update-icon-cache.patch (809 bytes, patch)
2012-03-20 18:30 UTC, Rachel Flynn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rachel Flynn 2012-03-20 18:30:11 UTC
A test is done in pre-configure stage for the presence of cairo-xlib.pc,
however this test is done using exists() directive for make(1).
This test is done at Makefile parse time and thus will fail, if cairo is
not installed `depends' time.

Fix: The fix below moves the test to sh, which effectively ensures that the test
for existence is done at pre-configure stage rather than Makefile parse.
How-To-Repeat: pkg_delete -f cairo-\*
### make sure WITHOUT_X11 is not set in env or make.conf
make -C /usr/ports/graphics/gtk-update-icon-cache configure
Comment 1 Edwin Groothuis freebsd_committer 2012-03-20 18:30:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger freebsd_committer 2012-05-20 17:45:44 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2012-05-20 17:45:50 UTC
mezz        2012-05-20 16:45:36 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gtk-update-icon-cache Makefile 
  Log:
  The fix below moves the test to sh, which effectively ensures that the test
  for existence is done at pre-configure stage rather than Makefile parse.
  
  PR:             ports/166279
  Submitted by:   Mel Flynn <rflynn@acsalaska.net>
  
  Revision  Changes    Path
  1.4       +4 -4      ports/graphics/gtk-update-icon-cache/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 commit-hook freebsd_committer 2015-11-24 04:09:07 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 24 04:08:56 UTC 2015
New revision: 402343
URL: https://svnweb.freebsd.org/changeset/ports/402343

Log:
  graphics/gtk-update-icon-cache: restore r297047 after r313633

  - Invoke pkg-config(1) instead of checking manually [1]
  - Convert to ECHO_MSG which can be silenced

  PR:		166279
  Reported by:	mi (via mail on gnome@ list)
  Approved by:	gnome (kwm)
  Submitted by:	John Hein <jh-fbml@snkmail.com> [1]
  Differential Revision:	https://reviews.freebsd.org/D4260

Changes:
  head/graphics/gtk-update-icon-cache/Makefile
  head/x11-toolkits/gtk20/Makefile
  head/x11-toolkits/gtk30/Makefile
Comment 5 commit-hook freebsd_committer 2016-07-25 21:46:57 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 25 21:46:23 UTC 2016
New revision: 419069
URL: https://svnweb.freebsd.org/changeset/ports/419069

Log:
  Apply r402343 to other gnome@ ports restoring r297047 behavior

  - Invoke pkg-config(1) instead of checking manually
  - Convert to ECHO_MSG which can be silenced

  PR:		166279
  Approved by:	portmgr blanket
  MFH:		2016Q3

Changes:
  head/graphics/gegl/Makefile
  head/www/webkit2-gtk3/Makefile
  head/x11-toolkits/pango/Makefile
Comment 6 commit-hook freebsd_committer 2016-07-26 18:01:59 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jul 26 18:01:33 UTC 2016
New revision: 419141
URL: https://svnweb.freebsd.org/changeset/ports/419141

Log:
  MFH: r419069

  Apply r402343 to other gnome@ ports restoring r297047 behavior

  - Invoke pkg-config(1) instead of checking manually
  - Convert to ECHO_MSG which can be silenced

  PR:		166279
  Approved by:	portmgr blanket
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/graphics/gegl/Makefile
  branches/2016Q3/www/webkit2-gtk3/Makefile
  branches/2016Q3/x11-toolkits/pango/Makefile